from setuptools import setup, find_packages

setup(
    name='gocept.support',
    version='0.7.0',
    author='gocept',
    author_email='mail@gocept.com',
    description="""\
Tools for managing support by integrating Nagios, RT, Asterisk and a set of
iCal files.
""",
    packages=find_packages('src'),
    package_dir={'': 'src'},
    include_package_data=True,
    zip_safe=False,
    license='gocept proprietary',
    namespace_packages=['gocept'],
    install_requires=[
        'icalendar',
        'mock',
        'python-dateutil',
        'python-nagext',
        'pytz',
        'setuptools',
        'zope.sendmail',
    ],
    entry_points="""
        [console_scripts]
        check_assigned_staff = gocept.support.nagios:check_assigned_staff
        process_notification = gocept.support.nagios:process_notification
        get_support_number = gocept.support.notification:get_support_number
        notify_support = gocept.support.notification:notify_support_main
        create_ical_for_slas = gocept.support.sla:create_ical_for_slas
        create_ical_for_staff = gocept.support.staff:create_ical_for_staff
        supporter_statistics = gocept.support.staff:get_statistics
        check_sla_tickets = gocept.support.sla:check_sla_tickets
        notify_upcoming_periods = gocept.support.sla:notify_upcoming_periods
    """)
